# No formal releases have been made yet, so this is a
# pre-release snapshot
%global commit fc5cfabf8f4de257d5f285622f041e7e017b8b8f
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:    testng-remote
Version: 1.0.0
Release: 0.2.git%{shortcommit}%{?dist}
Summary: Modules for running TestNG remotely
License: ASL 2.0
URL:     https://github.com/testng-team/testng-remote
Source0: https://github.com/testng-team/testng-remote/archive/%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.auto.service:auto-service)
BuildRequires:  mvn(com.google.code.gson:gson)
BuildRequires:  mvn(org.apache.maven.plugins:maven-shade-plugin)
BuildRequires:  mvn(org.jacoco:jacoco-maven-plugin)
BuildRequires:  mvn(org.testng:testng)

%description
TestNG Remote contains the modules for running TestNG remotely. This is
normally used by IDE to communicate with TestNG run-time, e.g. receive the
Test Result from run-time so that can display them on IDE views.

%package javadoc
Summary: API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n testng-remote-%{commit}

# Avoid bundling gson
%pom_remove_plugin :maven-shade-plugin remote

# Disable support for old versions of TestNG that are not in Fedora
%pom_disable_module remote6_9_7
%pom_disable_module remote6_5
%pom_remove_dep :testng-remote6_9_7 dist
%pom_remove_dep :testng-remote6_5 dist

# Package the shaded jar
%mvn_package "org.testng:testng-remote-dist:jar:shaded:"

%build
# Tests fail with snapshot version numbers
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Mon Apr 25 2016 Mat Booth <mat.booth@redhat.com> - 1.0.0-0.2.gitfc5cfab
- Package the all-in-one shaded jar

* Mon Apr 25 2016 Mat Booth <mat.booth@redhat.com> - 1.0.0-0.1.gitfc5cfab
- Initial packaging of latest upstream snapshot.

